Activity Log Alerts - Delete
Delete an Activity Log Alert rule.
DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Insights/activityLogAlerts/{activityLogAlertName}?api-version=2020-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
activity
|
path | True |
string |
The name of the Activity Log Alert rule. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscription
|
path | True |
string minLength: 1 |
The ID of the target subscription. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The Activity Log Alert rule was successfully deleted. |
|
| 204 No Content |
The Activity Log Alert rule does not exist. It may have already been deleted. |
|
| Other Status Codes |
An error occurred and the Activity Log Alert rule could not be deleted. |
Security
azure_auth
Azure Active Directory OAuth2 Flow
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Delete an Activity Log Alert rule
Sample request
DELETE https://management.azure.com/subscriptions/187f412d-1758-44d9-b052-169e2564721d/resourceGroups/MyResourceGroup/providers/Microsoft.Insights/activityLogAlerts/SampleActivityLogAlertRule?api-version=2020-10-01
Sample response
Definitions
ErrorResponse
The error response.
| Name | Type | Description |
|---|---|---|
| code |
string |
The error code. |
| message |
string |
The error message indicating why the operation failed. |